---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t009.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2220, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54540, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56480, symBinAddr: 0xA260, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56870, symBinAddr: 0xA650, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57810, symBinAddr: 0xB5F0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57820, symBinAddr: 0xB600, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54080, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54084, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54088, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x541D0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54288, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5428C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54290, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54294, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54298, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x542A0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x542B0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x542B8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x542C0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x542C8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x542D0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x542D8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x54320, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x543C0, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x54460, symBinAddr: 0x8300, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54468, symBinAddr: 0x8308, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54470, symBinAddr: 0x8310, symSize: 0x0 }
  - { offsetInCU: 0x959E, offset: 0x959E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xEA0, symSize: 0x80 }
  - { offsetInCU: 0x9633, offset: 0x9633, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xDF0, symSize: 0xB0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xCF0, symSize: 0x100 }
  - { offsetInCU: 0x9921, offset: 0x9921, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xF20, symSize: 0xC0 }
  - { offsetInCU: 0x9973, offset: 0x9973, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xFE0, symSize: 0x220 }
  - { offsetInCU: 0x9B58, offset: 0x9B58, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1200, symSize: 0xA0 }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x12A0, symSize: 0x110 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x13B0, symSize: 0x150 }
  - { offsetInCU: 0x9E7E, offset: 0x9E7E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1500, symSize: 0x30 }
  - { offsetInCU: 0x9F5F, offset: 0x9F5F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1530, symSize: 0x150 }
  - { offsetInCU: 0xA157, offset: 0xA157, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1680, symSize: 0x160 }
  - { offsetInCU: 0xA417, offset: 0xA417, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x17E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA68A, offset: 0xA68A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1C80, symSize: 0x1B0 }
  - { offsetInCU: 0xA8A5, offset: 0xA8A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1E30, symSize: 0xA0 }
  - { offsetInCU: 0xA974, offset: 0xA974, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1ED0, symSize: 0x20 }
  - { offsetInCU: 0xA9AB, offset: 0xA9AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1EF0, symSize: 0x20 }
  - { offsetInCU: 0xA9E2, offset: 0xA9E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1F10, symSize: 0x20 }
  - { offsetInCU: 0xAB95, offset: 0xAB95, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1F30, symSize: 0x1A0 }
  - { offsetInCU: 0xAEB1, offset: 0xAEB1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x20D0, symSize: 0x150 }
  - { offsetInCU: 0xB06E, offset: 0xB06E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x24C0, symSize: 0x1D0 }
  - { offsetInCU: 0xB36A, offset: 0xB36A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2690, symSize: 0x80 }
  - { offsetInCU: 0xB433, offset: 0xB433, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2710, symSize: 0x6C0 }
  - { offsetInCU: 0xBFA9, offset: 0xBFA9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB4D0, symBinAddr: 0x4CA0, symSize: 0xB0 }
  - { offsetInCU: 0xC020, offset: 0xC020, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2DD0, symSize: 0x70 }
  - { offsetInCU: 0xC0DC, offset: 0xC0DC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2E40, symSize: 0xA0 }
  - { offsetInCU: 0xC1E7, offset: 0xC1E7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2EE0, symSize: 0x40 }
  - { offsetInCU: 0xC2DD, offset: 0xC2DD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2F20, symSize: 0x2B0 }
  - { offsetInCU: 0xC683, offset: 0xC683, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x31D0, symSize: 0xC0 }
  - { offsetInCU: 0xC7C9, offset: 0xC7C9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3290, symSize: 0x10 }
  - { offsetInCU: 0xC88B, offset: 0xC88B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x32A0, symSize: 0x240 }
  - { offsetInCU: 0xCB74, offset: 0xCB74, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x34E0, symSize: 0x10 }
  - { offsetInCU: 0xCBD1, offset: 0xCBD1, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x34F0, symSize: 0x7A0 }
  - { offsetInCU: 0xD42A, offset: 0xD42A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA4C0, symBinAddr: 0x3C90, symSize: 0x10 }
  - { offsetInCU: 0xD487, offset: 0xD487, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA4D0, symBinAddr: 0x3CA0, symSize: 0x210 }
  - { offsetInCU: 0xD5B3, offset: 0xD5B3, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA6E0, symBinAddr: 0x3EB0, symSize: 0x20 }
  - { offsetInCU: 0xD5FF, offset: 0xD5FF, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA700, symBinAddr: 0x3ED0, symSize: 0x140 }
  - { offsetInCU: 0xD74D, offset: 0xD74D, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA840, symBinAddr: 0x4010, symSize: 0xE0 }
  - { offsetInCU: 0xD851, offset: 0xD851, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA920, symBinAddr: 0x40F0, symSize: 0xE0 }
  - { offsetInCU: 0xD932, offset: 0xD932, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xAA00, symBinAddr: 0x41D0, symSize: 0x20 }
  - { offsetInCU: 0xD9B4, offset: 0xD9B4, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xAA20, symBinAddr: 0x41F0, symSize: 0x20 }
  - { offsetInCU: 0xDA20, offset: 0xDA20, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xAA40, symBinAddr: 0x4210, symSize: 0x20 }
  - { offsetInCU: 0xDA81, offset: 0xDA81, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xAA60, symBinAddr: 0x4230, symSize: 0x20 }
  - { offsetInCU: 0xDAE2, offset: 0xDAE2, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xAA80, symBinAddr: 0x4250, symSize: 0x20 }
  - { offsetInCU: 0xDB43, offset: 0xDB43, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xAAA0, symBinAddr: 0x4270, symSize: 0x20 }
  - { offsetInCU: 0xDBC5, offset: 0xDBC5, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xAAC0, symBinAddr: 0x4290, symSize: 0x20 }
  - { offsetInCU: 0xDC5D, offset: 0xDC5D, size: 0x8, addend: 0x0, symName: _handler1, symObjAddr: 0xAAE0, symBinAddr: 0x42B0, symSize: 0x230 }
  - { offsetInCU: 0xDF55, offset: 0xDF55, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xAD10, symBinAddr: 0x44E0, symSize: 0x20 }
  - { offsetInCU: 0xDFBD, offset: 0xDFBD, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xAD30, symBinAddr: 0x4500, symSize: 0x20 }
  - { offsetInCU: 0xE042, offset: 0xE042, size: 0x8, addend: 0x0, symName: _handler2, symObjAddr: 0xAD50, symBinAddr: 0x4520, symSize: 0x230 }
  - { offsetInCU: 0xE345, offset: 0xE345, size: 0x8, addend: 0x0, symName: _cbNewMethodEntry, symObjAddr: 0xAF80, symBinAddr: 0x4750, symSize: 0x20 }
  - { offsetInCU: 0xE3B2, offset: 0xE3B2, size: 0x8, addend: 0x0, symName: _cbNewMethodExit, symObjAddr: 0xAFA0, symBinAddr: 0x4770, symSize: 0x20 }
  - { offsetInCU: 0xE437, offset: 0xE437, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xAFC0, symBinAddr: 0x4790, symSize: 0x20 }
  - { offsetInCU: 0xE4AA, offset: 0xE4AA, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xAFE0, symBinAddr: 0x47B0, symSize: 0x20 }
  - { offsetInCU: 0xE511, offset: 0xE511, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xB000, symBinAddr: 0x47D0, symSize: 0x20 }
  - { offsetInCU: 0xE578, offset: 0xE578, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xB020, symBinAddr: 0x47F0, symSize: 0x20 }
  - { offsetInCU: 0xE5D3, offset: 0xE5D3, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xB040, symBinAddr: 0x4810, symSize: 0x20 }
  - { offsetInCU: 0xE62E, offset: 0xE62E, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xB060, symBinAddr: 0x4830, symSize: 0x20 }
  - { offsetInCU: 0xE6AD, offset: 0xE6AD, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xB080, symBinAddr: 0x4850, symSize: 0x20 }
  - { offsetInCU: 0xE6FC, offset: 0xE6FC, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xB0A0, symBinAddr: 0x4870, symSize: 0x20 }
  - { offsetInCU: 0xE733, offset: 0xE733, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xB0C0, symBinAddr: 0x4890, symSize: 0x20 }
  - { offsetInCU: 0xE76A, offset: 0xE76A, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xB0E0, symBinAddr: 0x48B0, symSize: 0x20 }
  - { offsetInCU: 0xE7AD, offset: 0xE7AD, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xB100, symBinAddr: 0x48D0, symSize: 0x20 }
  - { offsetInCU: 0xE820, offset: 0xE820, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xB120, symBinAddr: 0x48F0, symSize: 0x2E0 }
  - { offsetInCU: 0xE8EA, offset: 0xE8EA, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB400, symBinAddr: 0x4BD0, symSize: 0xD0 }
  - { offsetInCU: 0xEA1C, offset: 0xEA1C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB580, symBinAddr: 0x4D50, symSize: 0x36A }
...
